%%% Create a file called ./ofile, and write 50000 bytes to it.
%%% use like: ./vf vfilew.sl
import("utils");
import("vfile");

define testw()
{
	variable r,ofile,oname = "ofile";
	ofile = vf_open("ofile", O_CREAT | O_WRONLY | O_TRUNC, 0600);
	if (ofile == NULL) {
		message(vf_errmsg);
		vmessage("vf_open returned %d:%s",vf_errno,vf_strerr(vf_errno));
		return;
	}
	variable ar = Char_Type[100000];
	for (r = 0; r < 1024; r++) ar[r] = r; % put something in the 1st 1024
	variable bs = array_to_bstring(ar);
	r = vf_write(ofile,bs);
	if (r != 100000) vmessage("vf_write returned %d:%s",r,vf_strerr(vf_errno));
	r = vf_close(ofile);
	if (r) vmessage("vf_close returned %d:%s",r,vf_strerr(vf_errno));
}

testw();
message("Terminating");
