% File that can be loaded by the 'simple' executable.  

define read_input ()
{
   variable str;

   () = fputs ("File to byte-compile: ", stdout);
   () = fflush (stdout);
   
   if ( fgets (&str, stdin) == -1) str = "";
   return str;
}

define main ()
{
   variable file;
   variable st;
     
   while (file = read_input (), file != NULL)
     {
	% Strip '\n' and whitespace off the end of the file
	file = strtrim (file);
	
	if (file == "") break;
	
	st = stat_file (file);
	if (st == NULL)
	  {
	     vmessage ("Unable to stat %s: %s", file, errno_string (errno));
	     continue;
	  }
	byte_compile_file(file,0);
	vmessage ("\t%s:\t%d bytes", file, st.st_size);
	file += "c";
	st = stat_file (file);
	if (st == NULL)
	  {
	     vmessage ("Unable to stat %s: %s", file, errno_string (errno));
	     continue;
	  }
	vmessage ("\t%s:\t%d bytes", file, st.st_size);
	message ("\n");
     }
}

main ();

