() = evalfile("LList.sl");

define mess1(v) {
	message(v);
	return 0;
}

define mess2(v,s) {
	vmessage("%s%s",s,v);
	return 0;
}

variable list = make_list;
variable p,q;

() = s_putlast(list,"alpha");
p = s_putlast(list,"beta");
() = s_putlast(list,"gamma");
() = s_put1st(list,"zero");
s_print(list);

p = s_deref_n(list.f,"n",2);
vmessage("\ns_deref_n() shows 3rd item as '%s'",p.v);

message("\nNow let's play with v_split,s_split,and cut_list_element:");
variable s = "nick!user@host";
vmessage("%s|%s|%s",v_split(s,"!@"));
message(Sprintf("%s|%s",s_split(s,'!')));

%s = "nick!user!host"; message(s);
%s = cut_list_element(s,"user",'!'); message(s);

message("\nNow let's time some linked-list searches from LList.c");
message("This may take a while, which is why I'd really like to");
message("see something like the ll_dofunc and ll_advance intrinsics");
message("go into slang, somehow :-/\n");
variable s1 = "how about it";
variable s2 = "how about that";
variable i,j,k,n,tim0,tim1;
define incj(i,k) { j++;}
variable f = &incj;
j = 100;

variable list = make_list;
for (i = 0; i < 200; i++)
	() = s_putlast(list,string(i));

variable targ;
for (k = 1; k <= 11; k += 10) {
	targ = string(k);
	n = 10000;
  tim0 = unix_time;
	loop(n) {
		p = s_find_n1(list.f,&streq,targ);
	}
	tim1 = (unix_time - tim0)*(1000000/n);
	tim1; % push it for use below
	vmessage("%d uSec/search of %d",tim1,k);
	vmessage("p.v=%s\n",p.v);
}
tim1 = ();
tim0 = ();
j = (tim1 - tim0) / 10;
vmessage("Which means %d uSec per additional item searched",j);

%	(p,q) = ll_dofunc(list.f,list.f,"n","v",&streq,"1");
%	(p,q) = ll_dofunc(list.f,list.f,"n","v","==","1");
%	(p,q,i) = ll_advance(list.f,list.f,"n",210);
p = s_find_n1(list.f,&streq,"1");
vmessage("p.v=%s",p.v);

exit(0);

