%%% TCP daytime service, to illustrate VFile TCP.
%%% use like: ./vf vdaytime.sl
%%% then enter target hostname at prompt
%%% Just a minimal demo of the vfile-module VFile interface
import("utils");
import("vfile");

define get_target ()
{
	variable r,buf;
	r = vf_write(StdOut,"Check Host> ");
	r = vf_read(StdIn,&buf);
	return buf;
}

variable target,host;

variable i,j,r;
variable ipnum,DottedQuad,rev;
variable SpamIP = inet_addr("127.0.0.2");

forever {
	target = get_target();
	% Strip '\n' and whitespace off the end of the file
	host = strtrim(target);
	if ((host == "quit") or (0 == strlen(host))) break; 

	ipnum = gethostbyname(host);
	if (ipnum == -1){
		vmessage("Can't find %s",host);
		continue;
	}
	DottedQuad = inet_ntoa(ipnum);

	"."; strchopr(DottedQuad,'.',0);
	rev = create_delimited_string();
	rev = rev + ".rbl.maps.vix.com";

	vmessage("Looking up %s...",rev);
	ipnum = gethostbyname(rev);
	if (ipnum == SpamIP)
		vmessage("The oracle says: %s is a dirty SPAMMER!",host);
	else
		vmessage("The oracle says: %s is okay",host);

}
message("Terminating");
